org.apache.maven.scm.provider.tfs.command

## Class TfsUpdateCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.update.AbstractUpdateCommand
    - - org.apache.maven.scm.provider.tfs.command.TfsUpdateCommand

- All Implemented Interfaces:
    Command

      public class TfsUpdateCommand
      extends AbstractUpdateCommand

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TfsUpdateCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TfsCommand` | `createCommand(ScmProviderRepository r, ScmFileSet f, ScmVersion v)`
    `protected UpdateScmResult` | `executeUpdateCommand(ScmProviderRepository r, ScmFileSet f, ScmVersion v)`
    `protected ChangeLogCommand` | `getChangeLogCommand()`

    - ### Methods inherited from class org.apache.maven.scm.command.update.AbstractUpdateCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TfsUpdateCommand

          public TfsUpdateCommand()

  - ### Method Detail

    - #### executeUpdateCommand

          protected UpdateScmResult executeUpdateCommand(ScmProviderRepository r,
                                             ScmFileSet f,
                                             ScmVersion v)
                                                  throws ScmException

      Specified by:
        `executeUpdateCommand` in class `AbstractUpdateCommand`
      Throws:
        `ScmException`

    - #### createCommand

          public TfsCommand createCommand(ScmProviderRepository r,
                                 ScmFileSet f,
                                 ScmVersion v)

    - #### getChangeLogCommand

          protected ChangeLogCommand getChangeLogCommand()

      Specified by:
        `getChangeLogCommand` in class `AbstractUpdateCommand`

Copyright © 2003–2015. All rights reserved.